asn1_read_tag(3)

NAME
asn1_read_tag - Returns the TAG of one element inside a structure

SYNOPSIS
#include <libtasn1.h>

asn1_retCode asn1_read_tag(ASN1_TYPE root, const char * name, int * tagValue, int * classValue);

ARGUMENTS

ASN1_TYPE root
    pointer to a structure

const char * name
    the name of the element inside a structure.

int * tagValue
    variable that will contain the TAG value.

int * classValue
    variable that will specify the TAG type.

DESCRIPTION
Returns the TAG and the CLASS of one element inside a structure.

CLASS CAN HAVE ONE OF THESE CONSTANTS
ASN1_CLASS_APPLICATION, ASN1_CLASS_UNIVERSAL, ASN1_CLASS_PRIVATE or ASN1_CLASS_CONTEXT_SPECIFIC.

RETURNS

ASN1_SUCCESS
Set value OK.

ASN1_ELEMENT_NOT_FOUND
NAME is not a valid element.

COPYRIGHT
Copyright © 2006, 2007, 2008, 2009 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual.